#include "widgets.h"
#include "plugin_tabwidget.h"
#include "plugin_stackedwidget.h"
#include "plugin_scrollarea.h"
#include "plugin_qtimerwidget.h"
#include "plugin_button.h"
#include "plugin_slider.h"
#include "plugin_clock.h"
#include "plugin_thermometer.h"
#include "plugin_light.h"
#include "plugin_switch.h"
#include "plugin_graphic.h"
#include "plugin_busyicon.h"


Widgets::Widgets(QObject * parent): QObject(parent) {
	m_widgets.append(new QTimerWidgetPlugin(this));
	m_widgets.append(new SHSButtonPlugin(this));
	m_widgets.append(new SHSSliderPlugin(this));
	m_widgets.append(new SHSTabWidgetPlugin(this));
	m_widgets.append(new SHSStackedWidgetPlugin(this));
	m_widgets.append(new SHSScrollAreaPlugin(this));
	m_widgets.append(new SHSClockPlugin(this));
	m_widgets.append(new SHSThermometerPlugin(this));
	m_widgets.append(new SHSLightPlugin(this));
	m_widgets.append(new SHSSwitchPlugin(this));
	m_widgets.append(new SHSGraphicPlugin(this));
	m_widgets.append(new BusyIconPlugin(this));
}


QList<QDesignerCustomWidgetInterface * > Widgets::customWidgets() const {
	return m_widgets;
}

